/* File Started June 16, 2002 9:26pm CPT */
/* File Completed --- */
#define USE_TI89              // Compile for TI-89
#define OPTIMIZE_ROM_CALLS    // Use ROM Call Optimization
#define SAVE_SCREEN           // Save/Restore LCD Contents
#include <tigcclib.h>         // Include All Header Files
void wait(long t){long a=0;while(a!=t){a++;}}
void drawcard(int x,int y){DrawLine(x,y,x+28,y,A_THICK1);DrawLine(x+28,y,x+28,y+42,A_NORMAL);DrawLine(x+28,y+42,x,y+42,A_NORMAL);DrawLine(x,y+42,x,y,A_THICK1);}
void setcard(char n)
{
	static unsigned short int os1[]={0xffff,0xffff,0xffff,0xffff,0xffff,0xffff,0xffff,0xffff,0xffff,0xffff,0xffff,0xffff,0xffff,0xffff,0xffff,0xffff};
	static unsigned short int os2[]={0xffff,0xffff,0xffff,0xffff,0xffff,0xffff,0xffff,0xffff,0xffff,0xffff,0xffff,0xffff,0xffff,0xffff};
	int x=5,y=3,a=1;if(n>1){x+=(30*(n-1));}
	while(a<5){Sprite16(x,y,16,os1,LCD_MEM,SPRT_XOR);if(a==1){x+=16;};if(a==2){y+=16;x-=16;};if(a==3){x+=16;};if(a==4){x-=16;y+=16;Sprite16(x,y,14,os2,LCD_MEM,SPRT_XOR);Sprite16((x+16),y,14,os2,LCD_MEM,SPRT_XOR);};a++;}
}
void drawscreen(float m,int b)
{
	clrscr();wait(50000);
	drawcard(6,4);drawcard(36,4);drawcard(66,4);drawcard(96,4);drawcard(126,4);
	DrawLine(1,1,158,1,A_THICK1);DrawLine(158,1,158,93,A_THICK1);DrawLine(1,1,1,93,A_NORMAL);DrawLine(1,93,160,93,A_NORMAL);
	DrawLine(1,48,160,48,A_THICK1);DrawLine(2,1,2,49,A_NORMAL);
	setcard(1);setcard(2);setcard(3);setcard(4);setcard(5);wait(50000);
	setcard(1);setcard(2);setcard(3);setcard(4);setcard(5);wait(50000);
	printf_xy(3,51,"Money:%f",m,A_NORMAL);printf_xy(85,51,"Bet:%i",b,A_NORMAL);
	DrawLine(1,60,160,60,A_THICK1);DrawLine(1,76,160,76,A_THICK1);
}
void saveinfo(void)
{
	FILE *f=fopen("vp89info","w");
	fputs("  Written and Compiled\n   using TIGCC V0.98\n************************\n",f);
	fclose(f);DlgMessage("Save Info.","The Information About This Game and Instructions are Stored in Text File vp89info.",BT_OK,BT_NONE);
}
void savegame(float m,int w,int l,int h,int f2,int b,char al,int ba,char h2)
{
	FILE *f=fopen("vp89save","wb");fputc(0,f);
	fprintf(f,"M%fW%iL%iH%iF%iB%il%cb%ih%c",m,w,l,h,f2,b,al,ba,h2);
	fputc(0,f);fputs("PKS",f);fputc(0,f);fputc(OTH_TAG,f);fclose(f);
}
void invbar(void)
{
	static unsigned short int a[]={0xffff,0xffff,0xffff,0xffff,0xffff,0xffff,0xffff,0xffff,0xffff,0xffff,0xffff};
	float b=-1;while(b<10){b++;Sprite16((16*b),49,11,a,LCD_MEM,SPRT_XOR);}
}
char checkwin(char f1,char f2,char f3,char f4,char f5,char s1,char s2,char s3,char s4,char s5)
{
	if((f1==12||f1==11||f1==10||f1==9||f1==0)&&(f2==12||f2==11||f2==10||f2==9||f2==0)&&(f3==12||f3==11||f3==10||f3==9||f3==0)&&(f4==12||f4==11||f4==10||f4==9||f4==0)&&(f5==12||f5==11||f5==10||f5==9||f5==0)&&(f5!=f4&&f5!=f3&&f5!=f2&&f5!=f1&&f4!=f3&&f4!=f2&&f4!=f1&&f3!=f2&&f3!=f1&&f2!=f1))return 1;
	if((f1+1==f2||f1+1==f3||f1+1==f4||f1+1==f5)&&(f2+1==f1||f2+1==f3||f2+1==f4||f2+1==f5)&&(f3+1==f1||f3+1==f2||f3+1==f4||f3+1==f5)&&(f4+1==f1||f4+1==f2||f4+1==f3||f4+1==f5)&&(f5+1==f1||f5+1==f2||f5+1==f3||f5+1==f4)&&(s1==s2&&s2==s3&&s3==s4&&s4==s5))return 2;
	if((f1+1==f2||f1+1==f3||f1+1==f4||f1+1==f5)&&(f2+1==f1||f2+1==f3||f2+1==f4||f2+1==f5)&&(f3+1==f1||f3+1==f2||f3+1==f4||f3+1==f5)&&(f4+1==f1||f4+1==f2||f4+1==f3||f4+1==f5)&&(f5+1==f1||f5+1==f2||f5+1==f3||f5+1==f4))return 3;
	if(s1==s2&&s2==s3&&s3==s4&&s4==s5)return 4;
	if((f1==f2&&f2==f3&&f4==f5)||(f1==f2&&f2==f4&&f3==f5)||(f1==f2&&f2==f5&&f3==f4)||(f2==f3&&f3==f4&&f1==f5)||(f2==f4&&f4==f5&&f1==f3)||(f2==f3&&f3==f5&&f1==f4)||(f1==f3&&f3==f5&&f2==f4)||(f3==f4&&f4==f5&&f1==f2))return 5;
	if(f1==f2&&f2==f3&&f3==f4&&f4==f5)return 6;
	if((f1==f2&&f2==f3&&f3==f4)||(f2==f3&&f3==f4&&f4==f5)||(f1==f3&&f3==f4&&f4==f5)||(f1==f2&&f2==f4&&f4==f5)||(f1==f2&&f2==f3&&f3==f5))return 7;
	if((f1==f2&&f3==f4)||(f1==f2&&f4==f5)||(f1==f2&&f3==f5)||(f1==f3&&f2==f4)||(f1==f3&&f2==f5)||(f1==f3&&f4==f5)||(f1==f4&&f2==f3)||(f1==f4&&f2==f5)||(f1==f4&&f3==f5)||(f1==f5&&f2==f3)||(f1==f5&&f2==f4)||(f1==f5&&f3==f4)||(f2==f3&&f4==f5)||(f2==f4&&f3==f5)||(f2==f5&&f3==f4))return 8;
	if((f1==f2&&f2==f3)||(f2==f3&&f3==f4)||(f3==f4&&f4==f5)||(f1==f2&&f2==f4)||(f1==f2&&f2==f5)||(f2==f3&&f3==f5)||(f1==f3&&f3==f5)||(f2==f4&&f4==f5))return 9;
	if(f1==f2||f1==f3||f1==f4||f1==f5||f2==f3||f2==f4||f2==f5||f3==f4||f3==f5||f4==f5)return 10;
	return 0;
}
char menu_1(void)
{
	int a=0;FontSetSys(F_4x6);
	DrawStr(3,87,"Start     Options        About          Last          Quit",A_NORMAL);
	DrawLine(1,85,160,85,A_NORMAL);a=ngetchx();FontSetSys(F_6x8);
	if(a==268){return 1;}if(a==269){return 2;}
	if(a==270){return 3;}if(a==271){return 4;}
	if(a==272){return 5;}if(a==264){return 6;}
	return 0;
}
char menu_2(void)
{
	int a=0;FontSetSys(F_4x6);
	DrawStr(3,79,"Double  Cust Bet       All In          [ESC]=Quit",A_NORMAL);DrawLine(1,77,160,77,A_NORMAL);
	DrawStr(3,87,"Deal       +1Bet         -1Bet         Max       Min",A_NORMAL);
	DrawLine(1,85,160,85,A_NORMAL);a=ngetchx();FontSetSys(F_6x8);
	if(a==268){return 1;}if(a==269)return 2;
	if(a==270){return 3;}if(a==271)return 4;
	if(a==272){return 5;}if(a==264)return 6;
	if(a==273){return 7;}if(a==274)return 8;
	if(a==275){return 9;}return 0;
}
char menu_3(void)
{
	int a=0;FontSetSys(F_4x6);
	DrawStr(3,79,"STAND     HITS          FOLD          [ESC]=Quit",A_NORMAL);DrawLine(1,77,160,77,A_NORMAL);
	DrawStr(3,87,"HOLD       HOLD          HOLD        HOLD      HOLD",A_NORMAL);
	DrawLine(1,85,160,85,A_NORMAL);a=ngetchx();FontSetSys(F_6x8);
	if(a==268){return 1;}if(a==269)return 2;
	if(a==270){return 3;}if(a==271)return 4;
	if(a==272){return 5;}if(a==264)return 6;
	if(a==273){return 7;}if(a==274)return 8;
	if(a==275){return 9;}return 0;
}
void nomenu(void)
{
	static unsigned short int a[]={0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000};
	float b=-1;while(b<10){b++;Sprite16((16*b),77,8,a,LCD_MEM,SPRT_AND);}
	b=-1;while(b<10){b++;Sprite16((16*b),85,8,a,LCD_MEM,SPRT_AND);}
	DrawLine(1,1,1,93,A_NORMAL);DrawLine(158,1,158,93,A_THICK1);
}
void ending(void){DlgMessage("VIDEO POKER 89","Thanks for playing VIDEO POKER 89. I hope you have enjoyed my work!",BT_OK,BT_NONE);}
void savehand(int f1,int f2,int f3,int f4,int f5,int s1,int s2,int s3,int s4,int s5)
{
	FILE *f=fopen("vp89hand","wt");
	fprintf(f,"Last Hand Played\nCard#   Face  Suit\n1       %i     %i\n2       %i     %i\n3       %i     %i\n4       %i     %i\n5       %i     %i\nFace:\n0=? 1=A 2=1 3=2 4=3 5=4\n6=5 7=6
		8=7 9=8 10=9\n11=J 12=Q 13=K\nSuit:\n0=Club 1=Spade 2=Heart\n3=Diamond\nWritten & Compiled\nusing TIGCC v.98b18\nSource by Levi Jackson",f1,s1,f2,s2,f3,s3,f4,s4,f5,s5);
	fclose(f);DlgMessage("Hand Saved","The last hand you played is stored in text file vp89hand.",BT_OK,BT_NONE);
}
void winner(int a)
{
	const char *win_msg[]={"You got A ROYAL FLUSH!","You got A STRAIGH FLUSH!","You got A STRAIGHT!","You got A FLUSH!",
	"You got A FULL HOUSE!","You got 5 OF A KIND!","You got 4 OF A KIND!","You got 2 PAIRS!","You got 3 OF A KIND!","You got 1 PAIR!"};
	DlgMessage("YOU'RE A WINNER!",win_msg[a],BT_OK,BT_NONE);	
}
void nocards(char h1,char h2,char h3,char h4,char h5)
{
	static unsigned short int clear[]={0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000};
	if(h1==1){h1=0;setcard(1);}if(h2==1){h2=0;setcard(2);}if(h3==1){h3=0;setcard(3);}if(h4==1){h4=0;setcard(4);}if(h5==1){h5=0;setcard(5);}
	Sprite16(8,6,16,clear,LCD_MEM,SPRT_AND);Sprite16(17,29,16,clear,LCD_MEM,SPRT_AND);Sprite16(38,6,16,clear,LCD_MEM,SPRT_AND);Sprite16(47,29,16,clear,LCD_MEM,SPRT_AND);
	Sprite16(68,6,16,clear,LCD_MEM,SPRT_AND);Sprite16(77,29,16,clear,LCD_MEM,SPRT_AND);Sprite16(98,6,16,clear,LCD_MEM,SPRT_AND);Sprite16(107,29,16,clear,LCD_MEM,SPRT_AND);
	Sprite16(128,6,16,clear,LCD_MEM,SPRT_AND);Sprite16(137,29,16,clear,LCD_MEM,SPRT_AND);
}
long payout(long m,int b)
{
	int a=-1;while(a<b){a++;m++;printf_xy(3,56,"%f",m,A_NORMAL);}return m;
}
// INTERUPT HANDLER // generates the game duration clock
INT_HANDLER OIH=NULL;volatile int cntr=0,sec=0,min=0,hrs=0,a2=0;
DEFINE_INT_HANDLER(IH){
	cntr++;a2=FontGetSys();FontSetSys(F_4x6);
	if(cntr==32){cntr=0;sec++;if(sec==60){sec=0;min++;if(min==60){min=0;hrs++;if(hrs==24){hrs=0;sec=0;min=0;cntr=0;}}}}
	printf_xy(0,95,"<%i:%i:%i>",hrs,min,sec,A_REPLACE);
	if(a2==1){FontSetSys(F_6x8);}if(a2==2){FontSetSys(F_8x10);}
	ExecuteHandler(OIH);
}
void _main(void)
{
	ClrScr();DlgMessage("From the Author","Please note that this is the first BETA release. It is far from complete. Please send me comments on my progress so far. You like or don't like, suggestion's and bugs. See ABOUT menu for my e-mail.",BT_OK,BT_NONE);
	FontSetSys(F_4x6);OIH=GetIntVec(AUTO_INT_5);SetIntVec(AUTO_INT_5,IH);FontSetSys(F_6x8);
	static unsigned short int faces[13][16]=//ace 2 3 4 5 ...joker
	{{0x0000,0x0180,0x03C0,0x07E0,0x0E70,0x0C30,0x1818,0x1C38,0x1FF8,0x3C3C,0x381C,0x300C,0x300C,0x781E,0x0000,0x0000},
	{0x0000,0x03E0,0x0FF0,0x1FF0,0x1FF0,0x0CF0,0x01F0,0x03E0,0x07C0,0x0F80,0x1F00,0x3FE0,0x3FF0,0x1FF8,0x0FF0,0x0000},
	{0x0000,0x0780,0x1FE0,0x3C70,0x3838,0x301C,0x1838,0x00F0,0x01E0,0x18F0,0x3838,0x301C,0x3818,0x1FF0,0x07E0,0x0000},
	{0x0000,0x0020,0x0160,0x0360,0x0760,0x0E60,0x1C60,0x1860,0x1C60,0x1FF8,0x0FF0,0x0060,0x0060,0x01F0,0x01F0,0x0000},
	{0x0000,0x1FF8,0x1FF8,0x1818,0x1818,0x0018,0x03F8,0x0FF8,0x1E38,0x1C00,0x1800,0x1818,0x1C38,0x0FF8,0x07F0,0x0000},
	{0x0000,0x07F0,0x0FF8,0x1E38,0x1C18,0x1800,0x1BF0,0x1FF8,0x1E38,0x1C18,0x1818,0x1818,0x1C38,0x0FF8,0x07F0,0x0000},
	{0x0000,0x1FF8,0x3FFC,0x3FFC,0x381C,0x303C,0x0078,0x00F0,0x00E0,0x01E0,0x01C0,0x03C0,0x0380,0x07C0,0x07C0,0x0000},
	{0x0000,0x07F0,0x0FF8,0x1C1C,0x380C,0x300C,0x381C,0x1C38,0x0FF0,0x1FF8,0x3C1C,0x300C,0x381C,0x1FF8,0x0FF0,0x0000},
	{0x0000,0x0FE0,0x1FF0,0x3838,0x301C,0x383C,0x1C7C,0x0FFC,0x03DC,0x301C,0x381C,0x3838,0x1E78,0x0FF0,0x07E0,0x0000},
	{0x0000,0x0000,0x23F8,0x37FC,0x361C,0x363C,0x362C,0x364C,0x364C,0x368C,0x378C,0x370C,0x37FC,0x13F8,0x0000,0x0000},
	{0x0000,0x1FFC,0x3FF8,0x30E0,0x2060,0x0060,0x0060,0x0E60,0x1E60,0x1860,0x3060,0x38E0,0x3FE0,0x1FC0,0x0000,0x0000},
	{0x0000,0x0000,0x1FE0,0x3FF0,0x3870,0x3030,0x3030,0x3030,0x31B0,0x31D0,0x38E0,0x3F70,0x1FB8,0x0018,0x0000,0x0000},
	{0x0000,0x0000,0x1878,0x3878,0x38E0,0x39C0,0x3B80,0x3F00,0x3F80,0x3CC0,0x3840,0x3860,0x3878,0x3078,0x0000,0x0000}};
	static unsigned short int suits[4][16]=//club spade diamond heart
	{{0x0000,0x0180,0x03C0,0x07E0,0x0FF0,0x07E0,0x33CC,0x799E,0xFFFF,0xFFFF,0x7BDE,0x318C,0x0180,0x03C0,0x0FF0,0x0000},
	{0x0000,0x0180,0x03C0,0x07E0,0x0FF0,0x1FF8,0x3FFC,0x7FFE,0x7FFE,0x7FFE,0x7FFE,0x3BDC,0x0180,0x03C0,0x0FF0,0x0000},
	{0x0000,0x03C0,0x0660,0x0C30,0x1818,0x300C,0x6006,0x4002,0x4002,0x6006,0x300C,0x1818,0x0C30,0x0660,0x03C0,0x0000},
	{0x0000,0x1818,0x3C3C,0x6666,0x43C2,0x4182,0x4002,0x4002,0x4002,0x6006,0x300C,0x1818,0x0C30,0x0660,0x03C0,0x0180}};
	static unsigned short int clear[]={0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000};
	float mon=1000/*9999999 is the max*/;int win=0,los=0,hnd=0,fld=0,bet=100;
	int f1=0,f2=0,f3=0,f4=0,f5=0,s1=0,s2=0,s3=0,s4=0,s5=0;
	char sel=0,quit=0,a=0,opt=0,hits=1,a_amt=10,a_max=100,asv=0,ald=0,b=0;
	char h1=0,h2=0,h3=0,h4=0,h5=0;void *kbq=kbd_queue();int f=0;
	HANDLE e=H_NULL;HANDLE d=H_NULL;randomize();unsigned short int key=0;
	clrscr();drawscreen(mon,bet);invbar();wait(50000);invbar();
	e=DialogNewSimple(125,50);char *name=(char *)malloc(16*sizeof(char));
	DialogAddTitle(e,"Plesae Sign In",BT_OK,BT_CANCEL);
	DialogAddRequest(e,15,20,"Your Name:",0,16,8);
	a=DialogDo(e,CENTER,CENTER,name,NULL);
	int y=16,z=0;while(z==0)
	{
		if(y<0){DlgMessage("ERROR","You Didn't Sign in! You MUST Sign in!",BT_OK,BT_NONE);free(name);SetIntVec(AUTO_INT_5,OIH);return;};
		z=isalpha(name[y]);y--;
	}
	name=(char *)realloc(name,y*sizeof(char));
	char buffer[(20+(sizeof(name)*sizeof(char)))];
	sprintf(buffer,"   Welcome %s! Deal In!",name);
	DlgMessage("Video Poker 89 V.98",buffer,BT_OK,BT_NONE);
	if(a==KEY_ENTER){quit=0;}else{quit=1;asv=0;}
	while(quit!=1)
	{
		while((sel=menu_1())==0){}
		if(sel==6){SetIntVec(AUTO_INT_5,OIH);ClrScr();ending();return;}
		if(sel==1)
		{
			char con=1;
			while(con==1)
			{
				nomenu();while((a=menu_2())==0){}
				if(a==1)
				{
					mon-=bet;hnd++;GKeyFlush();a=0;
					printf_xy(3,51,"                                                             ",A_REPLACE);
					printf_xy(3,51,"Money:%f",mon,A_NORMAL);printf_xy(85,51,"Bet:%i",bet,A_NORMAL);
					while(OSdequeue(&key,kbq))
					{
						randomize();f1=random(13);f2=random(13);f3=random(13);f4=random(13);f5=random(13);
						s1=random(4);s2=random(4);s3=random(4);s4=random(4);s5=random(4);
						Sprite16(8,6,16,faces[f1],LCD_MEM,SPRT_XOR);Sprite16(17,29,16,suits[s1],LCD_MEM,SPRT_XOR);
						Sprite16(38,6,16,faces[f2],LCD_MEM,SPRT_XOR);Sprite16(47,29,16,suits[s2],LCD_MEM,SPRT_XOR);
						Sprite16(68,6,16,faces[f3],LCD_MEM,SPRT_XOR);Sprite16(77,29,16,suits[s3],LCD_MEM,SPRT_XOR);
						Sprite16(98,6,16,faces[f4],LCD_MEM,SPRT_XOR);Sprite16(107,29,16,suits[s4],LCD_MEM,SPRT_XOR);
						Sprite16(128,6,16,faces[f5],LCD_MEM,SPRT_XOR);Sprite16(137,29,16,suits[s5],LCD_MEM,SPRT_XOR);
						Sprite16(8,6,16,clear,LCD_MEM,SPRT_AND);Sprite16(17,29,16,clear,LCD_MEM,SPRT_AND);
						Sprite16(38,6,16,clear,LCD_MEM,SPRT_AND);Sprite16(47,29,16,clear,LCD_MEM,SPRT_AND);
						Sprite16(68,6,16,clear,LCD_MEM,SPRT_AND);Sprite16(77,29,16,clear,LCD_MEM,SPRT_AND);
						Sprite16(98,6,16,clear,LCD_MEM,SPRT_AND);Sprite16(107,29,16,clear,LCD_MEM,SPRT_AND);
						Sprite16(128,6,16,clear,LCD_MEM,SPRT_AND);Sprite16(137,29,16,clear,LCD_MEM,SPRT_AND);
					}
					Sprite16(8,6,16,faces[f1],LCD_MEM,SPRT_XOR);Sprite16(17,29,16,suits[s1],LCD_MEM,SPRT_XOR);
					Sprite16(38,6,16,faces[f2],LCD_MEM,SPRT_XOR);Sprite16(47,29,16,suits[s2],LCD_MEM,SPRT_XOR);
					Sprite16(68,6,16,faces[f3],LCD_MEM,SPRT_XOR);Sprite16(77,29,16,suits[s3],LCD_MEM,SPRT_XOR);
					Sprite16(98,6,16,faces[f4],LCD_MEM,SPRT_XOR);Sprite16(107,29,16,suits[s4],LCD_MEM,SPRT_XOR);
					Sprite16(128,6,16,faces[f5],LCD_MEM,SPRT_XOR);Sprite16(137,29,16,suits[s5],LCD_MEM,SPRT_XOR);
					nomenu();while(b!=7)
					{
						while((b=menu_3())==0){}
						if(b==1){setcard(1);if(h1==0){h1=1;}else if(h1==1){h1=0;};b=0;}
						if(b==2){setcard(2);if(h2==0){h2=1;}else if(h2==1){h2=0;};b=0;}
						if(b==3){setcard(3);if(h3==0){h3=1;}else if(h3==1){h3=0;};b=0;}
						if(b==4){setcard(4);if(h4==0){h4=1;}else if(h4==1){h4=0;};b=0;}
						if(b==5){setcard(5);if(h5==0){h5=1;}else if(h5==1){h5=0;};b=0;}
						if(b==6){SetIntVec(AUTO_INT_5,OIH);ClrScr();ending();return;}
						if(b==8)
						{
							while(OSdequeue(&key,kbq))
							{
								randomize();
								if(h1==0){f1=random(14);}if(h2==0){f2=random(14);}
								if(h3==0){f3=random(14);}if(h4==0){f4=random(14);}
								if(h5==0){f5=random(14);}if(h1==0){s1=random(4);}
								if(h2==0){s2=random(4);}if(h3==0){s3=random(4);}
								if(h4==0){s4=random(4);}if(h5==0){s5=random(4);}
								if(h1==0){Sprite16(8,6,16,faces[f1],LCD_MEM,SPRT_XOR);Sprite16(17,29,16,suits[s1],LCD_MEM,SPRT_XOR);}
								if(h2==0){Sprite16(38,6,16,faces[f2],LCD_MEM,SPRT_XOR);Sprite16(47,29,16,suits[s2],LCD_MEM,SPRT_XOR);}
								if(h3==0){Sprite16(68,6,16,faces[f3],LCD_MEM,SPRT_XOR);Sprite16(77,29,16,suits[s3],LCD_MEM,SPRT_XOR);}
								if(h4==0){Sprite16(98,6,16,faces[f4],LCD_MEM,SPRT_XOR);Sprite16(107,29,16,suits[s4],LCD_MEM,SPRT_XOR);}
								if(h5==0){Sprite16(128,6,16,faces[f5],LCD_MEM,SPRT_XOR);Sprite16(137,29,16,suits[s5],LCD_MEM,SPRT_XOR);}
								if(h1==0){Sprite16(8,6,16,clear,LCD_MEM,SPRT_AND);Sprite16(17,29,16,clear,LCD_MEM,SPRT_AND);}
								if(h2==0){Sprite16(38,6,16,clear,LCD_MEM,SPRT_AND);Sprite16(47,29,16,clear,LCD_MEM,SPRT_AND);}
								if(h3==0){Sprite16(68,6,16,clear,LCD_MEM,SPRT_AND);Sprite16(77,29,16,clear,LCD_MEM,SPRT_AND);}
								if(h4==0){Sprite16(98,6,16,clear,LCD_MEM,SPRT_AND);Sprite16(107,29,16,clear,LCD_MEM,SPRT_AND);}
								if(h5==0){Sprite16(128,6,16,clear,LCD_MEM,SPRT_AND);Sprite16(137,29,16,clear,LCD_MEM,SPRT_AND);}
							}
							if(h1==0){Sprite16(8,6,16,faces[f1],LCD_MEM,SPRT_XOR);Sprite16(17,29,16,suits[s1],LCD_MEM,SPRT_XOR);}
							if(h2==0){Sprite16(38,6,16,faces[f2],LCD_MEM,SPRT_XOR);Sprite16(47,29,16,suits[s2],LCD_MEM,SPRT_XOR);}
							if(h3==0){Sprite16(68,6,16,faces[f3],LCD_MEM,SPRT_XOR);Sprite16(77,29,16,suits[s3],LCD_MEM,SPRT_XOR);}
							if(h4==0){Sprite16(98,6,16,faces[f4],LCD_MEM,SPRT_XOR);Sprite16(107,29,16,suits[s4],LCD_MEM,SPRT_XOR);}
							if(h5==0){Sprite16(128,6,16,faces[f5],LCD_MEM,SPRT_XOR);Sprite16(137,29,16,suits[s5],LCD_MEM,SPRT_XOR);}
							break;
						}
						if(b==9){fld++;f=1;break;}
					}
					if(f==0){if((a=(checkwin(f1,f2,f3,f4,f5,s1,s2,s3,s4,s5)-1))==0)DlgMessage("Video Poker 89","You Didn't Win! You Lost The Match!",BT_OK,BT_NONE);}
					if(f==1){los++;DlgMessage("Video Poker 89","You Didn't Win! You Lost The Match!",BT_OK,BT_NONE);a=0;b=0;f=0;con=0;}
					if(a>=1)
					{
						win++;winner(a);b=0;
						if(a==9){b=(bet*50);}
						if(a==8){b=(bet*45);}
						if(a==7){b=(bet*30);}
						if(a==6){b=(bet*20);}
						if(a==5){b=(bet*15);}
						if(a==4){b=(bet*10);}
						if(a==3){b=(bet*7);}
						if(a==2){b=(bet*5);}
						if(a==1){b=(bet*2);}a=0;
						payout(mon,b);con=0;
					}b=0;
					nocards(h1,h2,h3,h4,h5);h1=0;h2=0;h3=0;h4=0;h5=0;a=0;b=0;
				}
				if(a==2&&(bet+a_amt)<=mon){bet+=a_amt;}
				if(a==3&&(bet-a_amt)>=1){bet-=a_amt;}
				if(a==4&&(a_max<=mon)){bet=a_max;}
				if(a==4&&(a_max>mon)){bet=mon;}
				if(a==5){bet=1;}
				if(a==6){SetIntVec(AUTO_INT_5,OIH);ClrScr();ending();return;}
				if(a==7&&(bet*2)<=mon){bet*=2;}			
				if(a==8)
				{
					DlgMessage("Notice!","This feature is coming soon! Sorry about that!(Im still working on the interupt interface that sets the CORRECT bet you entered!)",BT_OK,BT_NONE);			
				}
				if(a==9){bet=mon;}
				printf_xy(85,51,"Bet:%i",bet,A_NORMAL);
			}
		}//end start block
		if(sel==2)
		{
			while(opt!=6)
			{
				d=PopupNew("Options Menu",0);
				PopupAddText(d,0,"Bet Change Amt-",1);PopupAddText(d,1,"1",10);PopupAddText(d,1,"5",11);PopupAddText(d,1,"10",12);PopupAddText(d,1,"100",13);PopupAddText(d,1,"Custom",14);PopupAddText(d,1,"Set Quick Max",15);
				PopupAddText(d,0,"Auto-Save Stats-",2);PopupAddText(d,2,"ON",20);PopupAddText(d,2,"OFF",21);
				PopupAddText(d,0,"Save Options-",3);PopupAddText(d,3,"Save Game Stats",30);PopupAddText(d,3,"Save Instructions",31);PopupAddText(d,3,"Save Last Hand",32);PopupAddText(d,3,"Save Game",33);PopupAddText(d,3,"Load Game",34);
				PopupAddText(d,0,"Draw Options-",4);PopupAddText(d,4,"Hits ON",40);PopupAddText(d,4,"Hits OFF",41);
				PopupAddText(d,0,"Auto-Load Stats-",5);PopupAddText(d,5,"ON",50);PopupAddText(d,5,"OFF",51);
				PopupAddText(d,-1,"Done",6);opt=PopupDo(d,CENTER,CENTER,0);
				if(opt==10){a_amt=1;}if(opt==11){a_amt=5;}
				if(opt==12){a_amt=10;}if(opt==13){a_amt=100;}
				if(opt==14)
				{
					e=DialogNewSimple(120,35);char str[1];
					DialogAddTitle(e,"Custom Bet Change Amount",BT_OK,BT_CANCEL);
					DialogAddRequest(e,9,14,"Enter Amount:",0,5,8);
					a=DialogDo(e,CENTER,CENTER,str,NULL);
					if(a==KEY_ENTER){a_amt=str[0];DlgMessage("Custom Bet Change Amount","Bet Adjust Amount Change Succesful!",BT_OK,BT_NONE);a=KEY_ENTER;}
					if(a!=KEY_ENTER){DlgMessage("Custom Bet Change Amount","Bet Adjust Amount Change Cancelled!",BT_OK,BT_NONE);a=0;}a=0;
				}
				if(opt==15)
				{
					e=DialogNewSimple(120,35);char str[1];
					DialogAddTitle(e,"Set Quick-Max Feature",BT_OK,BT_CANCEL);
					DialogAddRequest(e,9,14,"Enter Amount:",0,5,8);
					a=DialogDo(e,CENTER,CENTER,str,NULL);
					if(a==KEY_ENTER){a_max=str[0];DlgMessage("Set Quick-Max Feature","Quick-Max Change Succesful!",BT_OK,BT_NONE);a=KEY_ENTER;}
					if(a!=KEY_ENTER){DlgMessage("Set Quick-Max Feature","Quick-Max Change Cancelled!",BT_OK,BT_NONE);a=0;}a=0;
				}
				if(opt==20){asv=1;}if(opt==21){asv=0;}
				if(opt==30)
				{
					char buffer[25+(sizeof(name)*sizeof(char))];
					sprintf(buffer,"Stats for %s's Last Game>>>",name);
					FILE *f=fopen("vp89stat","wb");fputc(0,f);
					fprintf(f,"%s Money:%f Wins:%i Loses:%i Hands:%i Folds:%i Bet:%i",buffer,mon,win,los,hnd,fld,bet);
					fputc(0,f);fputc(STR_TAG,f);fclose(f);
					DlgMessage("Save Stats","Your Current Stats are Saved in String file vp89stat.",BT_OK,BT_NONE);	
				}
				if(opt==31){saveinfo();}
				if(opt==32){savehand(f1,f2,f3,f4,f5,s1,s2,s3,s4,s5);}
				if(opt==33)
				{
					savegame(mon,win,los,hnd,fld,bet,ald,a_amt,hits);
					DlgMessage("Game Saved!","Your Game has been successfully saved!",BT_OK,BT_NONE);
				}
				if(opt==34)
				{
					DlgMessage("Notice!","This feature is coming soon! Sorry about that!(Information on reading from binary strings in C Would Help!)",BT_OK,BT_NONE);
				}
				if(opt==40){hits=1;}if(opt==41){hits=0;}
				if(opt==50){ald=1;}if(opt==51){ald=0;}
			}opt=0;
		}
		if(sel==3)
		{
			e=DialogNewSimple(158,65);
			DialogAddTitle(e,"Video Poker for the TI-89 V.10 br",BT_YES,BT_NO);
			DialogAddText(e,2,13,"Written and Compiled using TIGCC v.98 b18");
			DialogAddText(e,2,21,"Origonal Source by Levi T. Jackson 6-16-02");
			DialogAddText(e,2,29,"Report Bugs or Suggestions To...");
			DialogAddText(e,2,37,"spectorNCC1701E@aol.com");
			DialogAddText(e,56,45,"Save To File?");
			a=DialogDo(e,CENTER,CENTER,NULL,NULL);
			if(a==KEY_ENTER)
			{
				FILE *f=fopen("credits","wt");
				fprintf(f,"Video Poker for the TI-89 V.10 beta release #1, Written and Compiled using TIGCC V.98 beta18.  Origonal Source by Levi T. Jackson 6-16-02.  Report Bugs or Suggestions To... spectorNCC1701E@aol.com.");
				fclose(f);DlgMessage("Credits Saved","The Credits for This Game Have Been Stored to Text File credits.",BT_OK,BT_NONE);
			}
		}
		if(sel==4){DlgMessage("Notice!","This Feature is Coming Soon! Sorry About that!(Any information on reading from binary strings in C would help!)",BT_OK,BT_NONE);}
		if(sel==5){quit=1;}
		nomenu();DrawLine(1,76,160,76,A_THICK1);
	}
	if(asv==1){savegame(mon,win,los,hnd,fld,bet,ald,a_amt,hits);}
	clrscr();ending();ClrScr();SetIntVec(AUTO_INT_5,OIH);
}